获取会议空间单场会后报告数据

获取会议空间单场会后报告数据(概览、参会人、邀请人、直播观看明细)

1. 接口描述

接口名称:

/confopenapi/confspace/meeting/report/data

发送方式:

POST

参数格式:

accept: application/json;content-type: application/json

2. 输入参数

Http Header

参数名 必选 类型 说明
token 接口调用鉴权参数 也可以放在http body中

Http Body

参数 类型 必须 说明
eventId Long 会议ID

输入示例

{
    "eventId": 551014
}

3. 输出参数

参数 类型 说明
timestamp Long 返回时间(时间戳,单位毫秒)
request_id String 请求ID(在接口异常时, 需提供请求ID)
status Int 返回的状态码, 0:成功
msg String 当返回结果的状态码不为0时,包含的错误信息
result Json 返回数据

result 参数说明

参数 类型 说明
summary Object 会议概览
attendees Array 实际参会人明细(真正进过会的人)
invitees Array 受邀人明细(邀请名单,不一定进会)
live Array 直播观看明细

summary 参数说明

参数 类型 说明
title String 会议标题
startTime String 会议开始时间
endTime String 会议结束时间
totalCount Long 参会总人数(去除重复入会次数)
liveCount Long 观看直播总人数
inviteCount Long 邀请人数
inviteAttendedCount Long 邀请出席人数
attendeePercentage String 出席率,如 inviteAttendedCount/inviteCount:"14%"
handsUpCount Long 举手人数
handsUpPercentage String 举手人数占比

attendees 参数说明(参会人明细)

参数 类型 说明
name String 名字
groupName String 组名/组织信息
mobile String 手机
email String 邮箱
role Int 0:参会人,1:主持人
joinTime String 入会时间
offlineTime String 离会时间
totalTime String 总在线时长
clientType String 入会客户端类型,如 pc、phone
accessType String 语音接入方式:voip(网络语音)、phone(电话语音)
ip String 用户入会IP或电话。数据端入会后再用电话语音时可能同时包含IP和电话号,如:“183.186.246.249 17694879663”;电话入会显示电话号;电脑语音显示IP
phoneTime String 电话语音时长
voipTime String 网络语音时长

invitees 参数说明(邀请人明细)

参数 类型 说明
name String 名字
groupName String 组名/组织信息
mobile String 手机
email String 邮箱
attend Long 是否已入会:0 未入会,1 出席
  • attendees:实际到会集合
  • invitees:邀请集合;通过 attend 标明该邀请人是否已入会
  • 两者可能交叉(受邀且到会),也可能互有对方没有的人(未邀但进会 / 受邀未到)

live 参数说明(直播观看明细)

参数 类型 说明
name String 用户名
mobile String 手机
joinTime String 进入直播时间
offlineTime String 退出直播时间
totalTime String 观看时长
deviceType String 观看设备类型,如 pc、phone
browserName String 观看使用的浏览器
ip String 直播接入IP
city String 用户所在地区,如:国家-城市-区

备注

  • 更多返回错误代码请看首页的错误代码描述

输出示例

{
    "timestamp": 1721894395001,
    "status": 0,
    "msg": "success",
    "request_id": "confopenapiserver-10.90.154.171-1721894395.32156752.375",
    "result": {
        "summary": {
            "title": "中台早会",
            "startTime": "2021-07-19 09:59:48",
            "endTime": "2021-07-19 10:24:53",
            "totalCount": 13,
            "liveCount": 2,
            "inviteCount": 3,
            "inviteAttendedCount": 2,
            "attendeePercentage": "67%",
            "handsUpCount": 0,
            "handsUpPercentage": ""
        },
        "attendees": [
            {
                "name": "徐杰",
                "groupName": "数据组",
                "mobile": "18766774523",
                "email": "088413@sf-express.net.cn",
                "role": 0,
                "joinTime": "2020-08-10 14:46:25",
                "offlineTime": "2020-08-10 15:46:35",
                "totalTime": "01:00:10",
                "clientType": "pc",
                "accessType": "voip",
                "ip": "219.130.113.9 13829267807",
                "phoneTime": "",
                "voipTime": "01:00:00"
            },
            {
                "name": "孙海山",
                "groupName": "未分组",
                "mobile": "1391233564",
                "email": "088411@sf-express.net.cn",
                "role": 1,
                "joinTime": "2020-08-10 13:56:44",
                "offlineTime": "2020-08-10 15:51:14",
                "totalTime": "01:54:30",
                "clientType": "phone",
                "accessType": "phone",
                "ip": "1391233564",
                "phoneTime": "01:54:30",
                "voipTime": ""
            }
        ],
        "invitees": [
            {
                "name": "徐杰",
                "groupName": "数据组",
                "mobile": "18766774523",
                "email": "088413@sf-express.net.cn",
                "attend": 1
            },
            {
                "name": "邝小军",
                "groupName": "未分组",
                "mobile": "75725566201",
                "email": "088416@sf-express.net.cn",
                "attend": 0
            }
        ],
        "live": [
            {
                "name": "邝小军",
                "mobile": "75725566201",
                "joinTime": "2020-08-05 08:56:12",
                "offlineTime": "2020-08-05 16:16:15",
                "deviceType": "pc",
                "totalTime": "07:45:03",
                "browserName": "Chrome Mobile",
                "ip": "112.251.4.203, 10.90.42.237",
                "city": "中国-北京"
            }
        ]
    }
}

输出示例(参数错误)

{
    "status": 10002,
    "msg": "request parameter eventId is invalid",
    "content_type": "application/json"
}

输出示例(鉴权失败 / eventId 无效)

{
    "status": 50709,
    "msg": "invalid eventId",
    "content_type": "application/json"
}